JettyRunWar (Gradle API 3.2.1)
Date: 2016-11-22

org.gradle.api.plugins.jetty

## Class JettyRunWar

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.plugins.jetty.AbstractJettyRunTask
        - - org.gradle.api.plugins.jetty.JettyRunWar

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

  Deprecated.
  The Jetty plugin has been deprecated

      @Deprecated
      public class JettyRunWar
      extends AbstractJettyRunTask

  Deploys a WAR to an embedded Jetty web container.

  Once started, the web container can be configured to run continuously, scanning for changes to the war file and automatically performing a hot redeploy when necessary.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask

      `consoleScanner, PORT_SYSPROPERTY, reload, scannerListeners`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyRunWar()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyJettyXml()` Deprecated.
    `void` | `configureScanner()` Deprecated.
    `void` | `configureWebApplication()` Deprecated. Subclasses should invoke this to setup basic info on the webapp.
    `org.gradle.api.plugins.jetty.internal.JettyPluginServer` | `createServer()` Deprecated. create a proxy that wraps a particular jetty version Server object.
    `void` | `finishConfigurationBeforeStart()` Deprecated.
    `File` | `getWebApp()` Deprecated. Returns the web application to deploy.
    `void` | `restartWebApp(boolean reconfigureScanner)` Deprecated.
    `void` | `setWebApp(File webApp)` Deprecated.
    `void` | `validateConfiguration()` Deprecated.

    - ### Methods inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask

      `findJettyWebXmlFile, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyRunWar

          public JettyRunWar()

      Deprecated.

  - ### Method Detail

    - #### configureWebApplication

          public void configureWebApplication()
                                       throws Exception

      Deprecated.
      Description copied from class: `AbstractJettyRunTask`
      Subclasses should invoke this to setup basic info on the webapp.
      Overrides:
        `configureWebApplication` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### validateConfiguration

          public void validateConfiguration()

      Deprecated.
      Specified by:
        `validateConfiguration` in class `AbstractJettyRunTask`

    - #### configureScanner

          public void configureScanner()

      Deprecated.
      Specified by:
        `configureScanner` in class `AbstractJettyRunTask`

    - #### restartWebApp

          public void restartWebApp(boolean reconfigureScanner)
                             throws Exception

      Deprecated.
      Specified by:
        `restartWebApp` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### finishConfigurationBeforeStart

          public void finishConfigurationBeforeStart()

      Deprecated.
      Specified by:
        `finishConfigurationBeforeStart` in class `AbstractJettyRunTask`

    - #### getWebApp

          @InputFile
          public File getWebApp()

      Deprecated.
      Returns the web application to deploy.

    - #### setWebApp

          public void setWebApp(File webApp)

      Deprecated.

    - #### applyJettyXml

          public void applyJettyXml()
                             throws Exception

      Deprecated.
      Specified by:
        `applyJettyXml` in class `AbstractJettyRunTask`
      Throws:
        `Exception`

    - #### createServer

          public org.gradle.api.plugins.jetty.internal.JettyPluginServer createServer()
                                                                               throws Exception

      Deprecated.
      Description copied from class: `AbstractJettyRunTask`
      create a proxy that wraps a particular jetty version Server object.
      Specified by:
        `createServer` in class `AbstractJettyRunTask`
      Returns:
        The Jetty Plugin Server
      Throws:
        `Exception`